Upstream information

CVE-2008-2142 at MITRE

Description

Emacs 21 and XEmacs automatically load and execute .flc (fast lock) files that are associated with other files that are edited within Emacs, which allows user-assisted attackers to execute arbitrary code.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 389154 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 SDK for x86
Novell Linux Desktop 9 SDK for x86_64
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for IPF
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • xemacs-packages >= 20040202-54.4
  • xemacs-packages-el >= 20040202-54.4
  • xemacs-packages-info >= 20040202-54.4
core9.s390
core9.x86
core9.ppc
core9.ia64
core9.x86-64
core9.s390x
ZYPP Patch Nr: 5250
SUSE Linux Enterprise SDK 10 SP2
  • emacs-el >= 21.3-224.17
  • emacs-nox >= 21.3-224.17
sles10-sp2.ia64
sles10-sp2.s390x
sles10-sp2.ppc
sles10-sp2.x86
sles10-sp2.ppc
sles10-sp2.x86-64
sles10-sp2.s390x
sles10-sp2.x86
sles10-sp2.x86-64
sled10-sp2.x86
sles10-sp2.ia64
sled10-sp2.x86-64
ZYPP Patch Nr: 5297
SUSE LINUX 10.1
  • xemacs-packages >= 20051208-18.7
  • xemacs-packages-el >= 20051208-18.7
  • xemacs-packages-info >= 20051208-18.7
Novell Linux Desktop 9 SDK for x86
Novell Linux Desktop 9 SDK for x86_64
  • emacs >= 21.3-185.15
  • emacs-info >= 21.3-185.15
  • emacs-nox >= 21.3-185.15
sled10.x86
sled10.x86-64
core9.s390
sles10.x86
sles10.ia64
sles9-nld.x86-64
core9.ppc
core9.x86
sle10-sp1-sdk.x86
sle10-sp1-sdk.ia64
sles10.ppc
core9.s390x
sle10-sp1-sdk.ppc
core9.x86-64
sles9-nld.x86
sles10.x86-64
sle10-sp1-sdk.s390x
core9.ia64
sles9-nlpos.x86
sles10.s390x
sle10-sp1-sdk.x86-64
sles9-oes.x86
ZYPP Patch Nr: 5248
Open Enterprise Server
  • emacs >= 21.3-185.15
  • emacs-el >= 21.3-185.15
  • emacs-info >= 21.3-185.15
  • emacs-nox >= 21.3-185.15
  • emacs-x11 >= 21.3-185.15
sled10.x86
sled10.x86-64
core9.s390
sles10.x86
sles10.ia64
sles9-nld.x86-64
core9.ppc
core9.x86
sle10-sp1-sdk.x86
sle10-sp1-sdk.ia64
sles10.ppc
core9.s390x
sle10-sp1-sdk.ppc
core9.x86-64
sles9-nld.x86
sles10.x86-64
sle10-sp1-sdk.s390x
core9.ia64
sles9-nlpos.x86
sles10.s390x
sle10-sp1-sdk.x86-64
sles9-oes.x86
ZYPP Patch Nr: 5248
SUSE Linux Enterprise SDK 10 SP2
  • xemacs-packages >= 20051208-18.8
  • xemacs-packages-el >= 20051208-18.8
  • xemacs-packages-info >= 20051208-18.8
sles10-sp2.ppc
sles10-sp2.ia64
sles10-sp2.x86-64
sled10-sp2.x86
sled10-sp2.x86-64
sles10-sp2.s390x
sles10-sp2.x86
ZYPP Patch Nr: 5303
SUSE LINUX 10.1
  • emacs >= 21.3-224.17
  • emacs-el >= 21.3-224.17
  • emacs-info >= 21.3-224.17
  • emacs-nox >= 21.3-224.17
  • emacs-x11 >= 21.3-224.17